shishi_tgs_process(3)

NAME
shishi_tgs_process - API function

SYNOPSIS
#include <shishi.h>

int shishi_tgs_process(Shishi * handle, Shishi_asn1 tgsreq, Shishi_asn1 tgsrep, Shishi_asn1 authenticator, Shishi_asn1 oldenckdcreppart, Shishi_asn1 * enckdcreppart);

ARGUMENTS

Shishi * handle
    Shishi handle as allocated by shishi_init().

Shishi_asn1 tgsreq
    Input variable holding the transmitted KDC-REQ.

Shishi_asn1 tgsrep
    Input variable holding the received KDC-REP.

Shishi_asn1 authenticator
    Input variable with an authenticator extracted from the AP-REQ part of tgsreq.

Shishi_asn1 oldenckdcreppart
    Input variable with EncKDCRepPart used in the request.

Shishi_asn1 * enckdcreppart
    Output variable holding the new EncKDCRepPart.

DESCRIPTION
Processes a TGS client exchange and outputs the decrypted EncKDCRepPart, holding details about the received ticket. This function simply derives the encryption key from the ticket used to construct the original TGS request, and then calls shishi_kdc_process().

RETURN VALUE
Returns SHISHI_OK if the TGS client exchange was successful. Failures include ASN.1 and TGS conditions.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.